%define major	2
%define libvolk %mklibname %{name} %{major}
%define devvolk %mklibname %{name} -d

Name:		volk
Version:	2.5.1
Release:	%mkrel 1
Summary:	Vector-Optimized Library of Kernels
Group:		Communications
License:	GPLv3+
URL:		http://libvolk.org
Source0:	https://github.com/gnuradio/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:	mk-tar

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	git
BuildRequires:	pkgconfig(orc-0.4)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-mako
BuildRequires:	python3-six
Requires:	%{libvolk} = %{version}-%{release}

%description
VOLK stands for Vector-Optimized Library of Kernels.
It is a library that was introduced into GNU Radio in December 2010.
This is now packaged independently of GNU Radio.

%files
%{_bindir}/volk_modtool
%{_bindir}/volk_profile
%{_bindir}/volk-config-info
%{_bindir}/list_cpu_features
%{python3_sitelib}/volk_modtool/

############################
%package -n %{libvolk}
Summary:	Volk libraries
Group:		System/Libraries

%description -n %{libvolk}
VOLK stands for Vector-Optimized Library of Kernels.
It is a library that was introduced into GNU Radio in December 2010.

%files -n %{libvolk}
%{_libdir}/libvolk.so.%{major}*

############################
%package -n %{devvolk}
Summary:	Volk devel files
Group:		Development/Libraries
Requires:	%{libvolk} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gnuradio-volk-devel < 3.8
Conflicts:	%{_lib}gnuradio-volk-devel < 3.8

%description -n %{devvolk}
This package contains header files needed by developers.

%files -n %{devvolk}
%{_includedir}/%{name}/
%{_includedir}/cpu_features/
%{_libdir}/pkgconfig/volk.pc
%{_libdir}/libvolk.so
%{_libdir}/cmake/volk
%{_libdir}/cmake/CpuFeatures/

###########################
%prep
%setup -q

%build
%cmake \
	-DPYTHON_EXECUTABLE=%{_bindir}/python3 \
	-DVOLK_PYTHON_DIR:PATH=%{python3_sitelib} \
	-DENABLE_PROFILING=OFF
%cmake_build

%install
%cmake_install
rm %{buildroot}%{_libdir}/*.a


%changelog
* Fri Aug 19 2022 tex - 2.5.1-1pclos2022
- create pkg
